Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jst.jsf.context.symbol.internal.provisional.source
Class ISymbolConstants

    java.lang.Object
      org.eclipse.jst.jsf.context.symbol.internal.provisional.source.ISymbolConstants

public class ISymbolConstants
extends java.lang.Object

Defines global constants for symbols

Field Summary
`static int` | `SYMBOL_SCOPE_ALL` All scopes
`static int` | `SYMBOL_SCOPE_APPLICATION` Mask to indicate all application scope symbols for a particular context
`static java.lang.String` | `SYMBOL_SCOPE_APPLICATION_STRING` the string represenation for application scope
`static int` | `SYMBOL_SCOPE_REQUEST` Mask to indicate all request scope symbols for a particular context
`static java.lang.String` | `SYMBOL_SCOPE_REQUEST_STRING` the string representation for request scope
`static int` | `SYMBOL_SCOPE_SESSION` Mask to indicate all session scope symbols for a particular context
`static java.lang.String` | `SYMBOL_SCOPE_SESSION_STRING` the string representation for session scope

Constructor Summary
`ISymbolConstants()`

Method Summary
`static int` | `getMaskForString(java.lang.String scopeString)`
`static java.lang.String` | `getStringForMask(int scopeMask)`
`static boolean` | `isValid(int scope)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SYMBOL_SCOPE_REQUEST

    public static final int SYMBOL_SCOPE_REQUEST

  Mask to indicate all request scope symbols for a particular context

  See Also:
    Constant Field Values

### SYMBOL_SCOPE_SESSION

    public static final int SYMBOL_SCOPE_SESSION

  Mask to indicate all session scope symbols for a particular context

  See Also:
    Constant Field Values

### SYMBOL_SCOPE_APPLICATION

    public static final int SYMBOL_SCOPE_APPLICATION

  Mask to indicate all application scope symbols for a particular context

  See Also:
    Constant Field Values

### SYMBOL_SCOPE_ALL

    public static final int SYMBOL_SCOPE_ALL

  All scopes

  See Also:
    Constant Field Values

### SYMBOL_SCOPE_REQUEST_STRING

    public static final java.lang.String SYMBOL_SCOPE_REQUEST_STRING

  the string representation for request scope

  See Also:
    Constant Field Values

### SYMBOL_SCOPE_SESSION_STRING

    public static final java.lang.String SYMBOL_SCOPE_SESSION_STRING

  the string representation for session scope

  See Also:
    Constant Field Values

### SYMBOL_SCOPE_APPLICATION_STRING

    public static final java.lang.String SYMBOL_SCOPE_APPLICATION_STRING

  the string represenation for application scope

  See Also:
    Constant Field Values

Constructor Detail

### ISymbolConstants

    public ISymbolConstants()

Method Detail

### isValid

    public static boolean isValid(int scope)

  Parameters:
    `scope` -
  Returns:
    true iff scope matches exactly one scope value (excluding ALL)

### getStringForMask

    public static java.lang.String getStringForMask(int scopeMask)

  Parameters:
    `scopeMask` -
  Returns:
    the string representation for a scope mask or null if either the mask contains more than one scope or the scope is not valid

### getMaskForString

    public static int getMaskForString(java.lang.String scopeString)

  Parameters:
    `scopeString` -
  Returns:
    the scope mask for the string or -1 if the string is not one of SYMBOL_SCOPE_*_STRING

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD